[Rainmeter]
Author=h_plus^labels
Update=100

;Metadata added by RainBrowser
;http://rainmeter.net/RainCMS/?q=Rainmeter101_AnatomyOfASkin

[Metadata]
Name=Light_Fiorenza RSS_Reader
Config=RSSFEEDS
Description=Show latest news via RSS
Version=1.0
License=Author=h_plus^labels

;End of added Metadata

[Variables]

URL1=http://151.hk/feed/
Feed1=Lifehacker
URL2=http://151.hk/feed/
Feed2=SlashGear
URL3=http://151.hk/feed/
Feed3=GoogleNews
URL4=http://151.hk/feed/
Feed4=CNN

Border1=0,0,0,0
Border2=0,0,0,0
Border3=0,0,0,0
Border4=0,0,0,0
Border5=0,0,0,0
NUMBER1=1 
Max=4
SubstituteFeed="&apos;":"'","&quot;":"","&Quot;":"","&amp;":"&","&lt;br&gt;":"","![CDATA[":"","]]":"","...":"","<":"",">":"","/PRE&gt;":"","PRE&gt;":"","&lt;":"","&#39;":"'","&#228;":"ä","&#246;":"ö","&#8211;":"–"
SubstituteLink="&amp;":"&","<![CDATA[":"","]]>":""
[RSS1]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=#URL1#
RegExp="(?siU)<title.*>(.*)</title>.*<link.*>(.*)</link>.*<item.*<title.*>(.*)</title>.*<link.*>(.*)</link>(?(?=.*<item).*<title.*>(.*)</title>.*<link.*>(.*)</link>)(?(?=.*<item).*<title.*>(.*)</title>.*<link.*>(.*)</link>)(?(?=.*<item).*<title.*>(.*)</title>.*<link.*>(.*)</link>)(?(?=.*<item).*<title.*>(.*)</title>.*<link.*>(.*)</link>)(?(?=.*<item).*<title.*>(.*)</title>.*<link.*>(.*)</link>)(?(?=.*<item).*<title.*>(.*)</title>.*<link.*>(.*)</link>)(?(?=.*<item).*<title.*>(.*)</title>.*<link.*>(.*)</link>)(?(?=.*<item).*<title.*>(.*)</title>.*<link.*>(.*)</link>)(?(?=.*<item).*<title.*>(.*)</title>.*<link.*>(.*)</link>)(?(?=.*<item).*<title.*>(.*)</title>.*<link.*>(.*)</link>)"
UpdateRate=600
StringIndex=1
Substitute=#SubstituteFeed#

[RSS2]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=#URL2#
RegExp="(?siU)<title.*>(.*)</title>.*<link.*>(.*)</link>.*<item.*<title.*>(.*)</title>.*<link.*>(.*)</link>(?(?=.*<item).*<title.*>(.*)</title>.*<link.*>(.*)</link>)(?(?=.*<item).*<title.*>(.*)</title>.*<link.*>(.*)</link>)(?(?=.*<item).*<title.*>(.*)</title>.*<link.*>(.*)</link>)(?(?=.*<item).*<title.*>(.*)</title>.*<link.*>(.*)</link>)(?(?=.*<item).*<title.*>(.*)</title>.*<link.*>(.*)</link>)(?(?=.*<item).*<title.*>(.*)</title>.*<link.*>(.*)</link>)(?(?=.*<item).*<title.*>(.*)</title>.*<link.*>(.*)</link>)(?(?=.*<item).*<title.*>(.*)</title>.*<link.*>(.*)</link>)(?(?=.*<item).*<title.*>(.*)</title>.*<link.*>(.*)</link>)(?(?=.*<item).*<title.*>(.*)</title>.*<link.*>(.*)</link>)"
UpdateRate=600
StringIndex=1
Substitute=#SubstituteFeed#

[RSS3]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=#URL3#
RegExp="(?siU)<title.*>(.*)</title>.*<link.*>(.*)</link>.*<item.*<title.*>(.*)</title>.*<link.*>(.*)</link>(?(?=.*<item).*<title.*>(.*)</title>.*<link.*>(.*)</link>)(?(?=.*<item).*<title.*>(.*)</title>.*<link.*>(.*)</link>)(?(?=.*<item).*<title.*>(.*)</title>.*<link.*>(.*)</link>)(?(?=.*<item).*<title.*>(.*)</title>.*<link.*>(.*)</link>)(?(?=.*<item).*<title.*>(.*)</title>.*<link.*>(.*)</link>)(?(?=.*<item).*<title.*>(.*)</title>.*<link.*>(.*)</link>)(?(?=.*<item).*<title.*>(.*)</title>.*<link.*>(.*)</link>)(?(?=.*<item).*<title.*>(.*)</title>.*<link.*>(.*)</link>)(?(?=.*<item).*<title.*>(.*)</title>.*<link.*>(.*)</link>)(?(?=.*<item).*<title.*>(.*)</title>.*<link.*>(.*)</link>)"
UpdateRate=600
StringIndex=1
Substitute=#SubstituteFeed#

[RSS4]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=#URL4#
RegExp="(?siU)<title.*>(.*)</title>.*<link.*>(.*)</link>.*<item.*<title.*>(.*)</title>.*<link.*>(.*)</link>(?(?=.*<item).*<title.*>(.*)</title>.*<link.*>(.*)</link>)(?(?=.*<item).*<title.*>(.*)</title>.*<link.*>(.*)</link>)(?(?=.*<item).*<title.*>(.*)</title>.*<link.*>(.*)</link>)(?(?=.*<item).*<title.*>(.*)</title>.*<link.*>(.*)</link>)(?(?=.*<item).*<title.*>(.*)</title>.*<link.*>(.*)</link>)(?(?=.*<item).*<title.*>(.*)</title>.*<link.*>(.*)</link>)(?(?=.*<item).*<title.*>(.*)</title>.*<link.*>(.*)</link>)(?(?=.*<item).*<title.*>(.*)</title>.*<link.*>(.*)</link>)(?(?=.*<item).*<title.*>(.*)</title>.*<link.*>(.*)</link>)(?(?=.*<item).*<title.*>(.*)</title>.*<link.*>(.*)</link>)"
UpdateRate=600
StringIndex=1
Substitute=#SubstituteFeed#

[RSSSite1]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS1]
StringIndex=2
Substitute=#SubstituteFeed#

[RSSSite2]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS2]
StringIndex=2
Substitute=#SubstituteFeed#

[RSSSite3]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS3]
StringIndex=2
Substitute=#SubstituteFeed#

[RSSSite4]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS4]
StringIndex=2
Substitute=#SubstituteFeed#

[MeasureRSS11]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS1]
StringIndex=3
Substitute=#SubstituteFeed#

[MeasureLink11]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS1]
StringIndex=4
Substitute=#SubstituteLink#

[MeasureRSS12]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS1]
StringIndex=5
Substitute=#SubstituteFeed#

[MeasureLink12]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS1]
StringIndex=6
Substitute=#SubstituteLink#

[MeasureRSS13]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS1]
StringIndex=7
Substitute=#SubstituteFeed#

[MeasureLink13]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS1]
StringIndex=8
Substitute=#SubstituteLink#

[MeasureRSS14]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS1]
StringIndex=9
Substitute=#SubstituteFeed#

[MeasureLink14]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS1]
StringIndex=10
Substitute=#SubstituteLink#

[MeasureRSS15]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS1]
StringIndex=11
Substitute=#SubstituteFeed#

[MeasureLink15]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS1]
StringIndex=12
Substitute=#SubstituteLink#

[MeasureRSS21]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS2]
StringIndex=3
Substitute=#SubstituteFeed#

[MeasureLink21]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS2]
StringIndex=4
Substitute=#SubstituteLink#

[MeasureRSS22]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS2]
StringIndex=5
Substitute=#SubstituteFeed#

[MeasureLink22]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS2]
StringIndex=6
Substitute=#SubstituteLink#

[MeasureRSS23]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS2]
StringIndex=7
Substitute=#SubstituteFeed#

[MeasureLink23]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS2]
StringIndex=8
Substitute=#SubstituteLink#

[MeasureRSS24]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS2]
StringIndex=9
Substitute=#SubstituteFeed#

[MeasureLink24]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS2]
StringIndex=10
Substitute=#SubstituteLink#

[MeasureRSS25]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS2]
StringIndex=11
Substitute=#SubstituteFeed#

[MeasureLink25]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS2]
StringIndex=12
Substitute=#SubstituteLink#

[MeasureRSS31]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS3]
StringIndex=3
Substitute=#SubstituteFeed#

[MeasureLink31]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS3]
StringIndex=4
Substitute=#SubstituteLink#

[MeasureRSS32]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS3]
StringIndex=5
Substitute=#SubstituteFeed#

[MeasureLink32]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS3]
StringIndex=6
Substitute=#SubstituteLink#

[MeasureRSS33]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS3]
StringIndex=7
Substitute=#SubstituteFeed#

[MeasureLink33]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS3]
StringIndex=8
Substitute=#SubstituteLink#

[MeasureRSS34]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS3]
StringIndex=9
Substitute=#SubstituteFeed#

[MeasureLink34]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS3]
StringIndex=10
Substitute=#SubstituteLink#

[MeasureRSS35]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS3]
StringIndex=11
Substitute=#SubstituteFeed#

[MeasureLink35]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS3]
StringIndex=12
Substitute=#SubstituteLink#

[MeasureRSS41]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS4]
StringIndex=3
Substitute=#SubstituteRSS4#

[MeasureLink41]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS4]
StringIndex=4
Substitute=#SubstituteLink#

[MeasureRSS42]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS4]
StringIndex=5
Substitute=#SubstituteRSS4#

[MeasureLink42]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS4]
StringIndex=6
Substitute=#SubstituteLink#

[MeasureRSS43]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS4]
StringIndex=7
Substitute=#SubstituteRSS4#

[MeasureLink43]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS4]
StringIndex=8
Substitute=#SubstituteLink#

[MeasureRSS44]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS4]
StringIndex=9
Substitute=#SubstituteRSS4#

[MeasureLink44]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS4]
StringIndex=10
Substitute=#SubstituteLink#

[MeasureRSS45]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS4]
StringIndex=11
Substitute=#SubstituteRSS4#

[MeasureLink45]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[RSS4]
StringIndex=12
Substitute=#SubstituteLink#

[FORWARD]
Measure=Calc
Formula=(#NUMBER1#+1)%#MAX#=0?#MAX#:(#NUMBER1#+1)%#MAX#
DynamicVariables=1


[MeasureExecuteUpdate]
Measure=Calc
Formula=Counter % 120
IfAboveAction=!Execute [!RainmeterSetVariable NUMBER1 [FORWARD]]
IfAboveValue=0

[Title1]
Measure=Calc
Formula=#Number1#
IfEqualValue=1
IfEqualAction=!Execute [!RainmeterSetVariable Title1 #Feed1#][!RainmeterRedraw]
DynamicVariables=1

[Title2]
Measure=Calc
Formula=#Number1#
IfEqualValue=2
IfEqualAction=!Execute [!RainmeterSetVariable Title1 #Feed2#][!RainmeterRedraw]
DynamicVariables=1

[Title3]
Measure=Calc
Formula=#Number1#
IfEqualValue=3
IfEqualAction=!Execute [!RainmeterSetVariable Title1 #Feed3#][!RainmeterRedraw]
DynamicVariables=1

[Title4]
Measure=Calc
Formula=#Number1#
IfEqualValue=4
IfEqualAction=!Execute [!RainmeterSetVariable Title1 #Feed4#][!RainmeterRedraw]
DynamicVariables=1

[Gobar1]
Meter=Image
ImageName=MBGRSS.png
X=0
Y=0

[TitleHL]
Meter=Image
x=6
Y=5
SolidColor=0,0,0,100
MouseOverAction=!execute [!RainmeterSetVariable FontEffect 0,0,0,35][!RainmeterRedraw]
MouseLeaveAction=!execute [!RainmeterSetVariable FontEffect 0,0,0,0][!RainmeterRedraw]
LeftMouseDownAction=[RSSSite#NUMBER1#]

[Feed1]
Meter=STRING
X=14
Y=40
W=172
H=12
;SolidColor=0,0,0,100
StringStyle=Bold
FontColor=255,255,255,255
StringEffect=Shadow
FontEffectColor=0,0,0,100
FontSize=7
FontFace=FreeSans
Text= [MeasureRSS#NUMBER1#1]
StringAlign=LEFT
StringCase=none
MouseOverAction=!execute [!RainmeterSetVariable Border1 0,0,0,25][!RainmeterRedraw]
MouseLeaveAction=!execute [!RainmeterSetVariable Border1 0,0,0,10][!RainmeterRedraw]
LeftMouseDownAction=!Execute ["[MeasureLink#NUMBER1#1]"]
DynamicVariables=1
ClipString=1
AntiAlias=1

[Feed2]
Meter=STRING
X=r
Y=24r
MeterStyle=Feed1
Text= [MeasureRSS#NUMBER1#2]
MouseOverAction=!execute [!RainmeterSetVariable Border2 0,0,0,25][!RainmeterRedraw]
MouseLeaveAction=!execute [!RainmeterSetVariable Border2 0,0,0,10][!RainmeterRedraw]
LeftMouseDownAction=!Execute ["[MeasureLink#NUMBER1#2]"]

[Feed3]
Meter=STRING
X=r
Y=24r
MeterStyle=Feed1
Text= [MeasureRSS#NUMBER1#3]
MouseOverAction=!execute [!RainmeterSetVariable Border3 0,0,0,25][!RainmeterRedraw]
MouseLeaveAction=!execute [!RainmeterSetVariable Border3 0,0,0,10][!RainmeterRedraw]
LeftMouseDownAction=!Execute ["[MeasureLink#NUMBER1#3]"]

[Feed4]
Meter=STRING
X=r
Y=24r
MeterStyle=Feed1
Text= [MeasureRSS#NUMBER1#4]
MouseOverAction=!execute [!RainmeterSetVariable Border3 0,0,0,25][!RainmeterRedraw]
MouseLeaveAction=!execute [!RainmeterSetVariable Border3 0,0,0,10][!RainmeterRedraw]
LeftMouseDownAction=!Execute ["[MeasureLink#NUMBER1#4]"]



[ImageNews1]
Meter=Image
x=118
y=4
ImageName=C#Number1#.png
DynamicVariables=1

[IN1]
Meter=Image
x=120
y=10
H=12
W=12
SolidColor=255,255,255,1
LeftMouseDownAction=!RainMeterSetVariable NUMBER1 1

[IN2]
Meter=Image
X=20r
Y=r
MeterStyle=IN1
LeftMouseDownAction=!RainMeterSetVariable NUMBER1 2

[IN3]
Meter=Image
X=20r
Y=r
MeterStyle=IN1
LeftMouseDownAction=!RainMeterSetVariable NUMBER1 3

[IN4]
Meter=Image
X=20r
Y=r
MeterStyle=IN1
LeftMouseDownAction=!RainMeterSetVariable NUMBER1 4


[ImageTitle]
Meter=Image
x=14
y=5
ImageName=news#Number1#.png
DynamicVariables=1

[NewsRSS1]
Meter=Image
x=16
y=38

[NewsRSS2]
Meter=Image
X=r
Y=24r
MeterStyle=NewsRSS1

[NewsRSS3]
Meter=Image
X=r
Y=24r
MeterStyle=NewsRSS1

[NewsRSS4]
Meter=Image
X=r
Y=24r
MeterStyle=NewsRSS1

[Gobar2]
Meter=Image
ImageName=RssIcons.png
X=138
Y=-2
